## org.apache.batik.extension.svg
Interface BatikHistogramNormalizationFilter

All Superinterfaces:
  Filter, FilterColorInterpolation, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  BatikHistogramNormalizationFilter8Bit

public interface BatikHistogramNormalizationFilter
extends FilterColorInterpolation

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`Filter` `getSource()` Returns the source to be offset.
`float` `getTrim()` Returns the trim percent for this normalization.
`void` `setSource(Filter src)` Sets the source to be offset.
`void` `setTrim(float trim)` Sets the trim percent for this normalization.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getSource

    public Filter getSource()

  Returns the source to be offset.

### setSource

    public void setSource(Filter src)

  Sets the source to be offset.

  Parameters:
    `src` - image to offset.

### getTrim

    public float getTrim()

  Returns the trim percent for this normalization.

### setTrim

    public void setTrim(float trim)

  Sets the trim percent for this normalization.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.